It's Mac OS, not MacOS.
authorguy <guy@f5534014-38df-0310-8fa8-9805f1628bb7>
Tue, 16 Mar 2004 18:18:48 +0000 (18:18 +0000)
committerguy <guy@f5534014-38df-0310-8fa8-9805f1628bb7>
Tue, 16 Mar 2004 18:18:48 +0000 (18:18 +0000)
Note that Ethereal doesn't work on pre-X Mac OS, in case somebody sees
".macos" and thinks it'll work on OS 9 or earlier versions.

Explain that GLib and GTK+ now need to be shared libraries, and that
the GLib 1.x and GTK+ 1.x release tarballs were built with an older
version of libtool that didn't support building them as shared libraries
on OS X.

git-svn-id: http://anonsvn.wireshark.org/wireshark/trunk@10384 f5534014-38df-0310-8fa8-9805f1628bb7

README.macos

index 67d56b206913591c8ac8887c5afa2acfafdb9170..a7b6c2e4cd0b52b1000e8ae27cacaa7ff656f11b 100644 (file)
@@ -1,12 +1,16 @@
-$Id: README.macos,v 1.1 2004/03/15 02:04:08 jmayer Exp $
+$Id: README.macos,v 1.2 2004/03/16 18:18:48 guy Exp $
 
-This file tries to help building Ethereal for MacOS X
+This file tries to help building Ethereal for Mac OS X (Ethereal does
+not work on earlier versions of Mac OS).
 
 The changes to enable libwiretap and libethereal being built as shared
-libraries have broken shared gtk1 builds on MacOS X. It seems that the
-gtk1 libs don't work when linked into a shared library. The alternative
-to build Ethereal as one big statically linked binary isn't working
-either (and may never have worked on this OS).
+libraries have broken shared gtk1 builds on Mac OS X.  The GLib 1.x and
+GTK+ 1.x release tarballs were built with an older version of libtool
+that didn't support shared libraries on Mac OS X, so you can't build and
+install them as shared libraries, but the shared-library build of
+Ethereal requires GLib and GTK+, on Mac OS X, to be shared libraries. 
+The alternative to build Ethereal as one big statically linked binary
+isn't working either (and may never have worked on this OS).
 
 The way out of this situation is to use gtk2 and associated libraries
 which is known to work in this constellation: